node-babel-plugin-add-module-exports_0.2.1-3_all.deb


Advertisement

Description

node-babel-plugin-add-module-exports - Babel plugin for default module.exports like babel version 5

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-babel-plugin-add-module-exports_0.2.1-3_all.deb
Package name node-babel-plugin-add-module-exports
Package version 0.2.1
Package release 3
Package architecture all
Package type deb
Category universe/javascript
Homepage https://github.com/59naga/babel-plugin-add-module-exports#readme
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 4.53 KB
Installed size 21.00 KB
Babel@6 doesn't export default module.exports any more. This plugin follows
the babel@5 behavior - add the module.exports if only the export default
declaration exists.
Babel is a JavaScript compiler to use next generation JavaScript, today.
ES2015 and beyond: Babel has support for the latest version of JavaScript
through syntax transformers. These plugins allow you to use new syntax, right
now without waiting for browser support.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-babel-plugin-add-module-exports_0.2.1-3_all.deb 0.2.1 all Ubuntu Universe
node-babel-plugin-add-module-exports - - -

Requires

Name Value
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-babel-plugin-add-module-exports_0.2.1-3_all.deb
Source Package node-babel-plugin-add-module-exports

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-babel-plugin-add-module-exports deb package:
    # sudo apt-get install node-babel-plugin-add-module-exports

Files

Path
/usr/lib/nodejs/babel-plugin-add-module-exports/package.json
/usr/lib/nodejs/babel-plugin-add-module-exports/lib/index.js
/usr/lib/nodejs/babel-plugin-add-module-exports/lib/index.js.map
/usr/share/doc/node-babel-plugin-add-module-exports/changelog.Debian.gz
/usr/share/doc/node-babel-plugin-add-module-exports/copyright

Changelog

2018-09-24 - Pirate Praveen <praveen@debian.org>
node-babel-plugin-add-module-exports (0.2.1-3) unstable; urgency=medium
* Stop trying to install a not shipped README.md. (Closes: #903336)
(Thanks to Adrian Bunk)
* Use salsa.debian.org in Vcs-* fields
* Bump debhelper compatibility level to 11
* Bump Standards-Version to 4.2.1 (no changes needed)
2017-09-27 - Pirate Praveen <praveen@debian.org>
node-babel-plugin-add-module-exports (0.2.1-2) unstable; urgency=medium
* Move to main (babel is in main now)
2017-09-21 - Pirate Praveen <praveen@debian.org>
node-babel-plugin-add-module-exports (0.2.1-1) unstable; urgency=low
* Initial release (Closes: #876330)

See Also

Package Description
node-babel-plugin-array-includes_2.0.3-1_all.deb Babel plugin to replace the array includes syntax
node-babel-plugin-external-helpers_6.26.0+dfsg-3build6_all.deb helper functions that’ll be placed at the top of the generated code
node-babel-plugin-precompile-charcodes_1.1.0-2_all.deb Convert character code getters into plain integers
node-babel-plugin-syntax-async-functions_6.26.0+dfsg-3build6_all.deb Allow parsing of async functions
node-babel-plugin-syntax-async-generators_6.26.0+dfsg-3build6_all.deb Allow parsing of async generators
node-babel-plugin-syntax-class-constructor-call_6.26.0+dfsg-3build6_all.deb Allow parsing of class constructor calls
node-babel-plugin-syntax-class-properties_6.26.0+dfsg-3build6_all.deb Allow parsing of class properties
node-babel-plugin-syntax-decorators_6.26.0+dfsg-3build6_all.deb Allow parsing of decorators
node-babel-plugin-syntax-do-expressions_6.26.0+dfsg-3build6_all.deb Allow parsing of do expressinos
node-babel-plugin-syntax-dynamic-import_6.26.0+dfsg-3build6_all.deb Allow parsing of import
node-babel-plugin-syntax-exponentiation-operator_6.26.0+dfsg-3build6_all.deb Allow parsing of the exponentiation operator
node-babel-plugin-syntax-export-extensions_6.26.0+dfsg-3build6_all.deb Allow parsing of export extensions
node-babel-plugin-syntax-flow_6.26.0+dfsg-3build6_all.deb Allow parsing of the flow syntax
node-babel-plugin-syntax-function-bind_6.26.0+dfsg-3build6_all.deb Allow parsing of function bind
node-babel-plugin-syntax-jsx_6.26.0+dfsg-3build6_all.deb Allow parsing of jsx
Advertisement
Advertisement